Show / Hide Table of Contents

# Enum MessageType

Specifies the type of message.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum MessageType

### Fields

Name | Description
--- | ---
Call | The message when a user is called.
ChannelFollowAdd | The message for when a news channel subscription is added to a text channel.
ChannelIconChange | The message when a channel icon is changed.
ChannelNameChange | The message when a channel name is changed.
ChannelPinnedMessage | The message when another message is pinned.
Default | The default message type.
GuildMemberJoin | The message when a new member joined.
RecipientAdd | The message when a recipient is added.
RecipientRemove | The message when a recipient is removed.
UserPremiumGuildSubscription | The message for when a user boosts a guild.
UserPremiumGuildSubscriptionTier1 | The message for when a guild reaches Tier 1 of Nitro boosts.
UserPremiumGuildSubscriptionTier2 | The message for when a guild reaches Tier 2 of Nitro boosts.
UserPremiumGuildSubscriptionTier3 | The message for when a guild reaches Tier 3 of Nitro boosts.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()